### Method

# EDataCal CalCache search_with_callback

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_search_with_callback (
      ECalCache* cal_cache,
      const gchar* sexp,
      ECalCacheSearchFunc func,
      gpointer user_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Searches the `cal_cache` with the given `sexp` and calls `func` for each row which satisfy the search expression.

Available since: 3.26

#### Parameters

`sexp`

  Type: `const gchar*`

  Search expression; use `NULL` or an empty string to list all stored components.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `ECalCacheSearchFunc`

  An `ECalCacheSearchFunc` callback to call for each row which satisfies `sexp`.

`user_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.